Edje Scale

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Edje Scale
Edje » Edje Object

Functions that deal with scaling objects. More...

## Functions
void | edje_scale_set (double scale)
| Sets Edje's global scaling factor.
double | edje_scale_get (void)
| Retrieves Edje's global scaling factor.
Eina_Bool | edje_object_scale_set (Evas_Object *obj, double scale)
| Sets the scaling factor for a given Edje object.
double | edje_object_scale_get (const Evas_Object *obj)
| Gets a given Edje object's scaling factor.
double | edje_object_base_scale_get (const Evas_Object *obj)
| Gets a given Edje object's base_scale factor.

## Detailed Description

Functions that deal with scaling objects.

Edje allows one to build scalable interfaces. Scaling factors, which are set to neutral (`1.0`) values by default (no scaling, actual sizes), are of two types: global and individual.

Scaling affects the values of minimum/maximum part sizes, which are multiplied by it. Font sizes are scaled, too.

## Function Documentation

## ◆ edje_scale_set()

void edje_scale_set | ( | double | scale | ) |

Sets Edje's global scaling factor.

Parameters

  scale | The global scaling factor (the default value is `1.0`)

Edje's global scaling factor will affect all its objects which hadn't their individual scaling factors altered from the default value (which is zero). If they had it set differently, by edje_object_scale_set(), that factor will override the global one.

Warning
  Only parts which, at EDC level, had the `"scale"` property set to `1`, will be affected by this function. Check the complete syntax reference for EDC files.

See also
  edje_scale_get().

Examples
  edje-basic.c.

References edje_object_calc_force(), and EINA_INLIST_FOREACH.

## ◆ edje_scale_get()

double edje_scale_get | ( | void |  | ) |

Retrieves Edje's global scaling factor.

Returns
  The global scaling factor.

This function returns Edje's global scaling factor.

See also
  edje_scale_set() for more details

Examples
  edje-basic.c.

## ◆ edje_object_scale_set()

Eina_Bool edje_object_scale_set | ( | Evas_Object * | obj,
|  | double | scale
| ) |  |

Sets the scaling factor for a given Edje object.

This function sets an individual scaling factor on the obj Edje object. This property (or Edje's global scaling factor, when applicable), will affect this object's part sizes. If scale is not zero, than the individual scaling will override any global scaling set, for the object obj's parts. Put it back to zero to get the effects of the global scaling again.

Warning
  Only parts which, at EDC level, had the "scale" property set to @1, will be affected by this function. Check the complete @ref edcref "syntax reference" for EDC files.

See also edje_object_scale_get() edje_scale_get() for more details

Parameters

  [in] | scale | The scaling factor (the default value is @0.0, meaning individual scaling not set)

Returns
  `true` on success, `false` otherwise

References EINA_TRUE.

## ◆ edje_object_scale_get()

double edje_object_scale_get | ( | const Evas_Object * | obj | ) |

Gets a given Edje object's scaling factor.

This function returns the individual scaling factor set on the obj Edje object.

See also edje_object_scale_set() for more details

Returns
  The scaling factor (the default value is @0.0, meaning individual scaling not set)

## ◆ edje_object_base_scale_get()

double edje_object_base_scale_get | ( | const Evas_Object * | obj | ) |

Gets a given Edje object's base_scale factor.

This function returns the base_scale factor set on the obj Edje object. The base_scale can be set in the collection of edc. If it isn't set, the default value is 1.0

Returns
  The base_scale factor (the default value is @ 1.0, that means the edc file is made based on scale 1.0.